<?php

return [
    /*
    |--------------------------------------------------------------------------
    | API Domain
    |--------------------------------------------------------------------------
    |
    | This is the url where all the endpoints originates from.
    */

    'apiUrl' => 'https://sandbox.safaricom.co.ke/',

    /*
    |--------------------------------------------------------------------------
    | Status
    |--------------------------------------------------------------------------
    |
    | This determines the state of the package, whether to use in sandbox mode or not.
    |
    */

    'is_sandbox' => true,

    /*
    |--------------------------------------------------------------------------
    | Credentials
    |--------------------------------------------------------------------------
    |
    | These are the credentials to be used to transact with the M-Pesa API
    */
    'apps' => [
        'default' => [
            'consumer_key' => 'uwd4VCfOjYcpawEsAYAkRyUYKRgCBdJ7',

            'consumer_secret' => 'cq1hvOrJMyQYtgHU',
        ],
        'bulk' => [
            'consumer_key' => '',
            'consumer_secret' => '',
        ],
    ],


    /*
    |--------------------------------------------------------------------------
    | File Cache Location
    |--------------------------------------------------------------------------
    |
    | This will be the location on the disk where the caching will be done.
    |
    */

    'cache_location' => 'cache',


    /*
    |--------------------------------------------------------------------------
    | Callback Method
    |--------------------------------------------------------------------------
    |
    | This is the request method to be used on the Callback URL on communication
    | with your server.
    |
    | e.g. GET | POST
    |
    */

    'callback_method' => 'POST',

    /*
    |--------------------------------------------------------------------------
    | LipaNaMpesa API Online Config
    |--------------------------------------------------------------------------
    |
    | This is a fully qualified endpoint that will be be queried by Safaricom's
    | API on completion or failure of the transaction.
    |
    */
    'lnmo' => [
        /*
        |--------------------------------------------------------------------------
        | Paybill Number
        |--------------------------------------------------------------------------
        |
        | This is a registered Paybill Number that will be used as the Merchant ID
        | on every transaction. This is also the account to be debited.
        |
        |
        |
        */
        'short_code' => 4076993,

        /*
        | STK Push callback URL
        |--------------------------------------------------------------------------
        |
        | This is a fully qualified endpoint that will be queried by Safaricom's
        | API on completion or failure of a push transaction.
        |
        */
        'callback' => null,

        /*
        |--------------------------------------------------------------------------
        | SAG Passkey
        |--------------------------------------------------------------------------
        |
        | This is the secret SAG Passkey generated by Safaricom on registration
        | of the Merchant's Paybill Number.
        |
        */
        'passkey' => '277fc8ad04a4efeb9be4cd4e4ccd3015d28df609cc6aad4dbc1b40eef6d411bf',

        /*
        |--------------------------------------------------------------------------
        | Default Transaction Type
        |--------------------------------------------------------------------------
        |
        | This is the Default Transaction Type set on every STK Push request
        |
        */
        'default_transaction_type' => 'CustomerPayBillOnline'

    ],



];
